=== debian/changelog ===
vala-panel (0.4.63+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/vala-panel-plugins-wnck.install:
    + The tasklist plugin has been dropped by upstream due to non-LGPL licensed
      code.
    + The tasklist-xfce plugin has been renamed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Sep 2018 09:19:29 +0200

vala-panel (0.4.62+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/vala-panel-plugins-wnck.install:
    + Some plugins dropped (moved to an extra package because of non-wanted
      licenses (by upstream author)).
  * debian/libvalapanel0.symbols: Update symbols.
  * debian/patches:
    + Drop 0001_CMakeLists-txt-allow-building-without-submodule.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed
  * debian/rules:
    + Remove .git config files and GitLab CI config files from orig tarball.
  * debian/copyright:
    + Update auto-generated copyright.in template.file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 09:36:13 +0200

vala-panel (0.4.61+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Add B-D: cmake-vala.
  * debian/patches:
    + Add 0001_CMakeLists-txt-allow-building-without-submodule.patch. Utilize
      system-wide available cmake-vala for building.
    + Add 2001_no-GitVersion-for-Debian-packaging.patch. Don't try to detect
      the upstream version from Git tags.
  * debian/rules:
    + Repack orig tarball (and drop bundled cmake-vala from cmake subfolder).
    + Use dh_missing instead of dh_install, switch from --list-missing to
      --fail-missing.
    + Create cmake/FallbackVersion.cmake from Debian package version.
    + Drop man page hack for vala-panel-runner, now correctly shipped upstream.
  * debian/copyright:
    + Explain in Comment: field, why we repack the orig tarball.
    + Update copyright attributions
    + Update auto-generated copyright.in file.
  * debian/vala-panel-common.install:
    + Add vala-panel-runner.1.
  * debian/vala-panel-plugins-*.install:
    + Move .plugin files to DATADIR (rather than LIBDIR).
  * debian/libvalapanel0.symbols:
    + Update symbols.
  * debian/vala-panel-runner.1.sgml:
    + Drop file, now shipped upstream.
  * debian/watch:
    + Update upstream URL (upstream moved to GitLab).
    + Add dversionmangle option due to tarball repacking.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Aug 2018 10:16:15 +0200

vala-panel (0.3.75-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/watch:
    + Update upstream URL (upstream moved to GitLab). (We don't package
      the latest upstream release now, due to some discussion with upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:46:38 +0200
