=== data/man/CMakeLists.txt ===
install (FILES vala-panel.1 DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1 COMPONENT bin)
install (FILES vala-panel-runner.1 DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1 COMPONENT runner)
