=== debian/changelog ===
vala-panel (0.4.87+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/vala-panel-plugins-base.install:
    + New applet: netmon.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Feb 2019 12:17:27 +0100

vala-panel (0.4.86+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libvalapanel0.symbols:
    + Update symbols.
  * debian/vala-panel-plugins-*.install:
    + Plugin files got renamed, so adjust.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Dec 2018 00:05:34 +0100
