=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpeas-dev (>= 1.2.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel
