=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PKD        = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG        = $(DEB_SOURCE)
UVER       = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE      = +dfsg1
VER       ?= $(subst $(DTYPE),,$(UVER))

VER_MAJOR = $(shell echo $(VER) | cut -d "." -f1)
VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)

DHFLAGS=--buildsystem=cmake
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS)

override_dh_auto_configure:
	mkdir -p "$(CURDIR)/cmake/"
	sed -e 's/@VERSION@/$(VER)/'			\
	    -e 's/@VERSION_MAJOR@/$(VER_MAJOR)/'	\
	    -e 's/@VERSION_MINOR@/$(VER_MINOR)/'	\
	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
	   $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
	dh_auto_configure $(DHFLAGS) -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DGSETTINGS_COMPILE=OFF \
		-DENABLE_WNCK=ON

override_dh_auto_build:
	dh_auto_build $(DHFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
	dh_clean

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	   && $(RM) -r -v \
	        cmake/ \
	        .git*
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"
