=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1// \
https://gitlab.com/vala-panel-project/vala-panel/tags .*/vala-panel-(\d\S+)\.tar\.gz
