## vala-panel 0.4.89

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 enable_testing ()
 include(GNUInstallDirs)
 include(FeatureSummary)
-set (DATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala-panel")
-set (PKGDATADIR "${DATADIR}")
+set (DATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${CMAKE_PROJECT_NAME}")
+set (LOCALE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/locale")
 set (GETTEXT_PACKAGE "vala-panel")
 set (RELEASE_NAME "Simple Vala panel")
 set (LIBNAME "valapanel")
@@ -76,6 +76,7 @@
 add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 # Configuration
 configure_file (${CMAKE_SOURCE_DIR}/util/config.h.in ${CMAKE_BINARY_DIR}/config.h)
+configure_file (${CMAKE_SOURCE_DIR}/util/version.h.in ${CMAKE_BINARY_DIR}/version.h)
 configure_file (${CMAKE_SOURCE_DIR}/${APPNAME}.pc.cmake ${CMAKE_BINARY_DIR}/${APPNAME}.pc @ONLY)
 
 # Some definitions
@@ -85,13 +86,12 @@
 find_package (Vala 0.34 REQUIRED)
 include (ValaPrecompile)
 
-add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
 #add_definitions(-w) #Suppress all GCC warnings
 add_definitions(-Wall -Wextra
                 -Wno-unused
                 -Wno-unused-parameter# Vala loves to create variables
                #-pedantic
-                -Wno-ignored-qualifiers
+                -Wno-discarded-qualifiers
                 -Wno-incompatible-pointer-types
                 -Wno-missing-field-initializers
                 -Wno-sign-compare
@@ -106,10 +106,7 @@
   glib-2.0
   gio-2.0
   gio-unix-2.0
-  gmodule-2.0
-  gio-addons-2.0
-  posix)
-
+  gmodule-2.0)
 
 ADD_SUBDIRECTORY(po)
 ADD_SUBDIRECTORY(util)
