=== debian/changelog ===
vala-panel (0.4.89-1~mx19+1) mx; urgency=medium

  * 4.91 FTBFS for MX Linux--try this older version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Nov 2019 13:41:48 -0800

vala-panel (0.4.91+dfsg1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/patches:
    + Add 1001_not-buildpath-in-generated-files.patch. Don't use the absolute
      build path in the comments .h files generated my glib-mkenums. (Closes:
      #940639). Makes build of vala-panel reproducible.

  [ Mike Gabriel ]
  * debian/control:
    + Drop B-D on cmake-vala. Not needed anymore since switch to meson.
  * debian/rules:
    + Drop CMAKE_ specific build variables.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Sep 2019 13:27:45 +0200

vala-panel (0.4.91+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,rules}:
    + Switch to 'meson' build-system.
  * debian/control:
    + Drop libpeas-dev from B-D. Not needed since 0.4.50 anymore. (Closes:
      #925382).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Remove documentation files dh_install'ed to the wrong location.
    + Move appdata .xml file to its correct location."

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Aug 2019 23:20:38 +0200
