=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.0),
-               cmake-vala,
+Build-Depends: meson (>= 0.49.0),
                debhelper (>= 11~),
                docbook-to-man,
                libgtk-3-dev (>= 3.22.0),
-               libpeas-dev (>= 1.2.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
 Standards-Version: 4.3.0
