=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
 VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)
 
-DHFLAGS=--buildsystem=cmake
+DHFLAGS=--buildsystem=meson
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
 
@@ -27,8 +27,6 @@
 	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
 	   $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_auto_configure $(DHFLAGS) -- \
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DGSETTINGS_COMPILE=OFF \
 		-DENABLE_WNCK=ON
 
@@ -38,9 +36,21 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_install:
+	rm debian/tmp/usr/share/vala-panel/doc/LICENSE
+	rm debian/tmp/usr/share/vala-panel/doc/README.md
+	rmdir debian/tmp/usr/share/vala-panel/doc/
+	mkdir debian/tmp/usr/share/metainfo/
+	mv debian/tmp/usr/share/appdata/*.xml debian/tmp/usr/share/metainfo/
+	rmdir debian/tmp/usr/share/appdata/
+	dh_install
+
 override_dh_clean:
 	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
