=== util/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,12 @@
     glistmodel-filter.h
     constants.h
     misc.h
-    info-data.h
-    launcher.h
     util.h
     )
 set(UTIL_SOURCES
     boxed-wrapper.c
     glistmodel-filter.c
-    misc.c
-    info-data.c
-    launcher.c)
+    misc.c)
 
 #####
 # Core Library
