=== data/gschemas/CMakeLists.txt ===
include(GLibProgramHandlers)
add_schema("org.valapanel.gschema.xml" "bin")
add_schema("org.valapanel.toplevel.gschema.xml" "bin")
add_schema("org.valapanel.builtin.gschema.xml" "plugins-base")
if (ENABLE_WNCK)
    add_schema("org.valapanel.X.gschema.xml" "plugins-wnck")
endif()
if (ENABLE_DRAWING)
    add_schema("org.valapanel.plugins.gschema.xml" "plugins-base")
endif()
