=== data/images/CMakeLists.txt ===
install(FILES panel.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps RENAME vala-panel.svg COMPONENT bin)
install(FILES background.png DESTINATION ${DATADIR}/images COMPONENT bin)
