=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,
