=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,6 @@
 	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_clean
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@
