## vala-panel 0.4.92+dfsg1

=== debian/changelog ===
vala-panel (0.4.92+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #951978).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/copyright:
    + Don't mention LICENSE file in copyright.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 22:08:52 +0200
