=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: meson (>= 0.49.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                docbook-to-man,
                libgtk-3-dev (>= 3.22.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel
