## vala-panel 0.5.0

=== meson_options.txt ===
option('drawing', type: 'boolean', value: true, description: 'Enables drawing plugins, like CPU Graph plot')
option('wnck', type: 'feature', value: 'auto', description: 'Enables wnck-related plugins, like taskbar and pager')
option('platforms', type: 'array', choices: ['x11','layer-shell','auto'], value: ['auto'], description: 'Platforms for vala-panel')
