=== debian/changelog ===
vala-panel (0.5.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:14 +1100

vala-panel (0.5.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:47:33 +0000

vala-panel (0.5.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:55:18 +0000

vala-panel (0.5.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_LINGUAS-remove-a-duplicate-entry.patch. Fix FTBFS due to
      duplicate language entry. (Closes: #998522).
  * debian/rules:
    + Drop superfluous overrides.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Nov 2021 14:41:46 +0100

vala-panel (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/{changelog,rules,watch,copyright}:
    + Don't repack orig tarball anymore. Reason for repacking not given anymore.
  * debian/patches:
    + Drop 2001_no-GitVersion-for-Debian-packaging.patch. Now obsolete due to
      switch over from cmake to meson.
  * debian/rules:
    + Drop cmake FallbackVersion tweaking.
    + Drop project-specific configure options. Defaults set in
      meson_options.txt should be fine.
  * debian/control:
    + Add B-D: libgtk-layer-shell-dev.
    + Update versioned B-D: meson (>= 0.51.0).
    + Add versioned B-D: libglib2.0-dev (>= 2.52).
    + Bump DH compat level to version 13.
  * debian/libvalapanel0.symbols:
    + Update for release 0.5.0.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Oct 2020 12:09:26 +0200
