=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: meson (>= 0.49.0),
-               debhelper-compat (= 12),
+Build-Depends: meson (>= 0.51.0),
+               debhelper-compat (= 13),
                docbook-to-man,
+               libglib2.0-dev (>= 2.52),
                libgtk-3-dev (>= 3.22.0),
+               libgtk-layer-shell-dev,
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
