=== debian/watch ===
version=4
https://gitlab.com/vala-panel-project/vala-panel/tags .*/vala-panel-(\d\S+)\.tar\.gz
